## org.eclipse.emf.ecore
Interface EGenericType

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  EGenericTypeImpl

    public interface EGenericType

extends EObject

A representation of the model object 'EGeneric Type'. A generic type is analogous to Java 5.0 `Type`. It can represent a reference to a type parameter, a reference to a classifier, along with optional type arguments if the classifier specify type parameters, or a wildcard with an optional upper or lower bound.

Since:
  2.3

  The following features are supported:

  - `EUpper Bound`
  - `EType Arguments`
  - `ERaw Type`
  - `ELower Bound`
  - `EType Parameter`
  - `EClassifier`
See Also:
  `EcorePackage.getEGenericType()`

Method Summary
`EClassifier` `getEClassifier()` Returns the value of the 'EClassifier' reference
`EGenericType` `getELowerBound()` Returns the value of the 'ELower Bound' containment reference
`EClassifier` `getERawType()` Returns the value of the 'ERaw Type' reference
`EList<EGenericType>` `getETypeArguments()` Returns the value of the 'EType Arguments' containment reference list.
`ETypeParameter` `getETypeParameter()` Returns the value of the 'EType Parameter' reference
`EGenericType` `getEUpperBound()` Returns the value of the 'EUpper Bound' containment reference
`void` `setEClassifier(EClassifier value)` Sets the value of the '`EClassifier`' reference
`void` `setELowerBound(EGenericType value)` Sets the value of the '`ELower Bound`' containment reference
`void` `setETypeParameter(ETypeParameter value)` Sets the value of the '`EType Parameter`' reference
`void` `setEUpperBound(EGenericType value)` Sets the value of the '`EUpper Bound`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEUpperBound

    EGenericType getEUpperBound()

  Returns the value of the 'EUpper Bound' containment reference.

  If the meaning of the 'EUpper Bound' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EUpper Bound' containment reference.
  See Also:
    `setEUpperBound(EGenericType)`, `EcorePackage.getEGenericType_EUpperBound()`

### setEUpperBound

    void setEUpperBound(EGenericType value)

  Sets the value of the '`EUpper Bound`' containment reference.

  Parameters:
    `value` - the new value of the 'EUpper Bound' containment reference.
  See Also:
    `getEUpperBound()`

### getETypeArguments

    EList<EGenericType> getETypeArguments()

  Returns the value of the 'EType Arguments' containment reference list. The list contents are of type `EGenericType`.

  If the meaning of the 'EType Arguments' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EType Arguments' containment reference list.
  See Also:
    `EcorePackage.getEGenericType_ETypeArguments()`

### getERawType

    EClassifier getERawType()

  Returns the value of the 'ERaw Type' reference.

  If the meaning of the 'ERaw Type' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ERaw Type' reference.
  See Also:
    `EcorePackage.getEGenericType_ERawType()`

### getELowerBound

    EGenericType getELowerBound()

  Returns the value of the 'ELower Bound' containment reference.

  If the meaning of the 'ELower Bound' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ELower Bound' containment reference.
  See Also:
    `setELowerBound(EGenericType)`, `EcorePackage.getEGenericType_ELowerBound()`

### setELowerBound

    void setELowerBound(EGenericType value)

  Sets the value of the '`ELower Bound`' containment reference.

  Parameters:
    `value` - the new value of the 'ELower Bound' containment reference.
  See Also:
    `getELowerBound()`

### getETypeParameter

    ETypeParameter getETypeParameter()

  Returns the value of the 'EType Parameter' reference.

  If the meaning of the 'EType Parameter' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EType Parameter' reference.
  See Also:
    `setETypeParameter(ETypeParameter)`, `EcorePackage.getEGenericType_ETypeParameter()`

### setETypeParameter

    void setETypeParameter(ETypeParameter value)

  Sets the value of the '`EType Parameter`' reference.

  Parameters:
    `value` - the new value of the 'EType Parameter' reference.
  See Also:
    `getETypeParameter()`

### getEClassifier

    EClassifier getEClassifier()

  Returns the value of the 'EClassifier' reference.

  If the meaning of the 'EClassifier' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EClassifier' reference.
  See Also:
    `setEClassifier(EClassifier)`, `EcorePackage.getEGenericType_EClassifier()`

### setEClassifier

    void setEClassifier(EClassifier value)

  Sets the value of the '`EClassifier`' reference.

  Parameters:
    `value` - the new value of the 'EClassifier' reference.
  See Also:
    `getEClassifier()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.